dofile(ModPath .. "automenubuilder.lua")
Antileech = Antileech or {
	settings = {
	  Openmod = true,
	  time = 0
	},
	values = {
    time = {0,10,1}
  	}
  }
  Hooks:Add("MenuManagerBuildCustomMenus", "MenuManagerBuildCustomMenusTestMod", function(menu_manager, nodes)
	AutoMenuBuilder:load_settings(Antileech.settings, "Antileech")
	AutoMenuBuilder:create_menu_from_table(nodes, Antileech.settings, "Antileech", "blt_options", Antileech.values)
  end)

local str ="Due to someone using Leech perk deck, the delay of mission failure when no one alive is set to" .. Antileech.settings.time .."sec"

if SystemInfo:language()==Idstring("schinese") then
	str = "由于您或队友的牌组为水蛭，所以房间倒地时间为".. Antileech.settings.time.."秒"
end


local mpath=ModPath

Hooks:Add("LocalizationManagerPostInit", "LocalizationManagerPostInit_ltyr1", function(loc)
	local lang, path=SystemInfo and SystemInfo:language(), "loc/english.txt"
		if lang==Idstring("schinese") then
			path="loc/schinese.txt"
		end
	loc:load_localization_file(mpath..path)
end)


function GroupAIStateBase:check_gameover_conditions()
	if not Network:is_server() or managers.platform:presence() ~= "Playing" or setup:has_queued_exec() then
		return false
	end

	if game_state_machine:current_state().game_ended and game_state_machine:current_state():game_ended() then
		return false
	end

	if Global.load_start_menu or Application:editor() then
		return false
	end

	if not self:whisper_mode() and self._super_syndrome_peers and self:hostage_count() > 0 then
		for _, active in pairs(self._super_syndrome_peers) do
			if active then
				return false
			end
		end
	end

	local plrs_alive = false
	local plrs_disabled = true

	for u_key, u_data in pairs(self._player_criminals) do
		plrs_alive = true

		if u_data.status ~= "dead" and u_data.status ~= "disabled" then
			plrs_disabled = false

			break
		end
	end

	local ai_alive = false
	local ai_disabled = true

	for u_key, u_data in pairs(self._ai_criminals) do
		ai_alive = true

		if u_data.status ~= "dead" and u_data.status ~= "disabled" then
			ai_disabled = false

			break
		end
	end

	local gameover = false
    local t = 10
    local deck = managers.skilltree:get_specialization_value("current_specialization")
    local peer = managers.network and managers.network:session() or nil
    peer = peer and peer:local_peer() or nil

	if not plrs_alive and not self:is_ai_trade_possible() then
		gameover = true
	elseif plrs_disabled and not ai_alive then
		gameover = true
	elseif plrs_disabled and ai_disabled then
		gameover = true
	end

	gameover = gameover or managers.skirmish:check_gameover_conditions()

	if gameover then
		if not self._gameover_clbk then
			self._gameover_clbk = callback(self, self, "_gameover_clbk_func")
			if Antileech.settings.Openmod then
				if deck == 22 then
					t = Antileech.settings.time
				end
				for _, peer in pairs(managers.network:session():peers()) do
					local skill_data = managers.skilltree:unpack_from_string(peer:skills())
					local perk_deck_index = skill_data.specializations[1]
					if perk_deck_index == "22" then
						t = Antileech.settings.time
					end
				end
				managers.chat:send_message(1, peer, str)
			end
			managers.enemy:add_delayed_clbk("_gameover_clbk", self._gameover_clbk, Application:time() + t)
		end
	elseif self._gameover_clbk then
		managers.enemy:remove_delayed_clbk("_gameover_clbk")

		self._gameover_clbk = nil
	end

	return gameover
end
